%if 0%{?el7}
%define dist .el7
%endif

%{!?pear_metadir: %global pear_metadir %{pear_phpdir}}
%{!?__pear: %{expand: %%global __pear %{_bindir}/pear}}
%global pear_name Date_Holidays_Japan

Name:           php-pear-Date-Holidays-Japan
Version:        0.1.3
Release:        2%{?dist}
Summary:        Driver based class to calculate holidays in Japan

Group:          Development/Languages
License:        PHP
URL:            http://pear.php.net/package/Date_Holidays_Japan
Source0:        http://pear.php.net/get/%{pear_name}-%{version}.tgz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  php-pear >= 1:1.4.9-1.2
Requires:       php-pear(PEAR)
Requires:       php-pear(Date_Holidays) >= 0.18.0
Requires(post): %{__pear}
Requires(postun): %{__pear}
Provides:       php-pear(%{pear_name}) = %{version}

Packager:       momo-i <webmaster@momo-i.org>
Vendor:         momo-i, http://www.momo-i.org/

%description
Date_Holidays helps you calculate the dates and titles of holidays and other
special celebrations.  This is the driver for calculating holidays in Japan.

%prep
%setup -qc
# Create a "localized" php.ini to avoid build warning
cp /etc/php.ini .
echo "date.timezone=Asia/Tokyo" >>php.ini

cd %{pear_name}-%{version}
# Package is V2
mv ../package.xml %{name}.xml


%build
cd %{pear_name}-%{version}
# Empty build section, most likely nothing required.


%install
cd %{pear_name}-%{version}
rm -rf $RPM_BUILD_ROOT docdir
PHPRC=../php.ini %{__pear} install --nodeps --packagingroot $RPM_BUILD_ROOT %{name}.xml

# Clean up unnecessary files
rm -rf $RPM_BUILD_ROOT%{pear_metadir}/.??*

# Install XML package description
install -d $RPM_BUILD_ROOT%{pear_xmldir}
install -pm 644 %{name}.xml $RPM_BUILD_ROOT%{pear_xmldir}


%clean
rm -rf $RPM_BUILD_ROOT


%post
%{__pear} install --nodeps --soft --force --register-only \
    %{pear_xmldir}/%{name}.xml >/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    %{__pear} uninstall --nodeps --ignore-errors --register-only \
        %{pear_name} >/dev/null || :
fi


%files
%defattr(-,root,root,-)
%{pear_xmldir}/%{name}.xml
%{pear_testdir}/%{pear_name}
%{pear_datadir}/%{pear_name}
%{pear_phpdir}/Date/Holidays/Driver/*


%changelog
* Thu Sep 03 2015 momo-i <webmaster@momo-i.org> - 0.1.3-2
- Update dist for centos7

* Fri Aug 28 2015 momo-i <webmaster@momo-i.org> - 0.1.3-1
- Update to 0.1.3

* Mon Aug 10 2015 momo-i <webmaster@momo-i.org> - 0.1.2-3
- Rebuilt for fc23

* Thu Apr 16 2015 momo-i <webmaster@momo-i.orG> - 0.1.2-2
- Rebuilt for fc22

* Mon Apr  1 2013 momo-i <webmaster@momo-i.org> 0.1.2-1
- Initial rpm release.
